#
#       Makefile for WatTCP TCP/IP kernal
#
# switches:
#	define the ones you want in the CFLAGS definition...
#
#	TRACE		- turn on tracing/debugging code
#       SKIPINI         - bootp/dhcp only, no WATTCP.CFG (size critical apps)
#       ETH_MSS         - you might set =576 for serial use (EPPPD), mostly
#                          useful if lacking CFG file (SKIPINI, etc)
#       TW_TO           - set between 30 and 240 for an RFC-compliant
#                          TIME_WAIT period (defaults to 2, higher can delay
#                          sock_wait_closed() much longer)
#
DEBUGS= -v

# 'obsolete function' warning can be safely ignored.  There should be
#  no other warnings at the default warning level under bcc3.1 and 4.x;
#  let's keep it that way :)

CFLAGS= $(DEBUGS) -DMSDOS -DETH_MSS=576 -I..\..\inc
MODELS=-ms
MODELL=-ml
MODELH=-mh

# Assembler flags
AFLAGS=-mx -t -i.\elib
AMODELS=-dFUNC_L=0
AMODELL=-dFUNC_L=1

# Define PC-specific include file

# old pre-BC4
#       bcc -c $(MODELS) $(CFLAGS) $*.c > errout

.c.obj:
        bcc -c $(MODELL) $(CFLAGS) $*.c
        tlib ..\..\lib\ertostcp -+$*

.asm.obj:
        tasm $(AFLAGS) $(AMODELL) $*;
        tlib ..\..\lib\ertostcp -+$*


objs = snmp.obj asn1.obj

..\..\lib\wattcpsm.lib: $(objs)
        echo done

